import request from "@/utils/request.js";

/**
 * 获取小算盘列表
 * @param userId 用户id
 * @param status 1为买入，0为已卖出
 */
export function getAbacusList(data) {
	return request.get('abacus/list', data);
}

/**
 * 删除一条记录
 * @param id 记录id
 */
export function deleteAbacusItem(id) {
	return request.get(`abacus/delete?id=${id}`);
}

/**
 * 获取当前金价和调整价
 */
export function getCurrentPrice(data) {
	return request.get('rtj/price/adjustnow', data);
}

/**
 * 添加黄金记录
 * @param purchasePrice 购入时每克金价
 * @param status 1为买入，0为已卖出
 */
export function addAbacusRecord(data) {
	return request.post('abacus/create', data);
}

/**
 * 更新记录
 * @param id
 * @param sellPrice 卖出时每克金价
 * @param status 1为买入，0为已卖出
 */
export function updateAbacusRecord(data) {
	return request.post('abacus/update', data);
}